---
title: Using Media Queries for Accessibility
slug: Web/CSS/Media_Queries/Using_Media_Queries_for_Accessibility
tags:
  - '@media'
  - Accessibility
  - Animation
  - CSS
  - Guide
---
<p><strong>Media Queries</strong> can also be used to help users with disabilities understand your website better.</p>

<h2 id="Reduced_Motion">Reduced Motion</h2>

<p>Blinking and flashing animation can be problematic for people with cognitive concerns such as Attention Deficit Hyperactivity Disorder (ADHD). Additionally, certain kinds of motion can be a trigger for Vestibular disorders, epilepsy, and migraine and Scotopic sensitivity.</p>

<p>Also, this method of switching animation off according to the user's preference can also benefit users with low battery or low-end phones or computers.</p>

<h3 id="Syntax">Syntax</h3>

<dl>
 <dt><code><dfn>no-preference</dfn></code></dt>
 <dd>Indicates that the user has made no preference known to the system.</dd>
 <dt><code><dfn>reduce</dfn></code></dt>
 <dd>Indicates that user has notified the system that they prefer an interface that minimizes the amount of movement or animation, preferably to the point where all non-essential movement is removed.</dd>
</dl>

<h3 id="Example">Example</h3>

<p>This example has an annoying animation unless you turn on Reduce Motion in your accessibility preferences.</p>

<h4 id="HTML">HTML</h4>

<pre class="brush: html notranslate">&lt;div class="animation"&gt;animated box&lt;/div&gt;
</pre>

<h4 id="CSS">CSS</h4>

<pre class="brush: css notranslate">.animation {
  -webkit-animation: vibrate 0.3s linear infinite both;
  animation: vibrate 0.3s linear infinite both;
}

@media (prefers-reduced-motion: reduce) {
  .animation {
    animation: none;
  }
}
</pre>

<h2 id="High_Contrast_Mode">High Contrast Mode</h2>

<div>{{CSSRef}}{{Non-standard_header}}</div>

<p>The <strong>-ms-high-contrast</strong> <a href="/en-US/docs/Web/CSS">CSS</a> <a href="/en-US/docs/Web/CSS/Media_Queries/Using_media_queries#Media_features">media feature</a> is a <a href="/en-US/docs/Web/CSS/Microsoft_extensions">Microsoft extension</a> that describes whether the application is being displayed in high contrast mode, and with what color variation.</p>

<p>This will help not only users with low vision and contrast sensitivity issues but also users that are working on a computer or phone with direct sunlight.</p>

<h3 id="Syntax_2">Syntax</h3>

<p>The <strong><code>-ms-high-contrast</code></strong> media feature is specified as one of the following values.</p>

<h3 id="Values">Values</h3>

<dl>
 <dt><code>active</code></dt>
 <dd>
 <p>Indicates that the subsequent styling rules will be applied when the system is placed in high contrast mode with any color variation.</p>
 </dd>
 <dt><code>black-on-white</code></dt>
 <dd>
 <p>Indicates that the subsequent styling rules will be applied when the system is placed in high contrast mode with a black-on-white color variation.</p>
 </dd>
 <dt><code>white-on-black</code></dt>
 <dd>
 <p>Indicates that the subsequent styling rules will be applied when the system is placed in high contrast mode with a white-on-black color variation.</p>
 </dd>
</dl>

<h3 id="Example_2">Example</h3>

<p>The following declarations will match applications that are being displayed in high contrast mode with any color variation, a black-on-white color variation, and a white-on-black color variation, respectively.</p>

<pre class="brush: css notranslate">@media screen and (-ms-high-contrast: active) {
  /* All high contrast styling rules */
}
@media screen and (-ms-high-contrast: black-on-white) {
  div { background-image: url('image-bw.png'); }
}
@media screen and (-ms-high-contrast: white-on-black) {
  div { background-image: url('image-wb.png'); }
}
</pre>
